Name:           perl-GD
Version:        2.41
Release:        8%{?dist}
Summary:        GD Perl module

Group:          Development/Libraries
License:        (GPL+ or Artistic) and (GPLv2+ or Artistic)
URL:            http://search.cpan.org/dist/GD/
Source0:        http://search.cpan.org/CPAN/authors/id/L/LD/LDS/GD-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Patch0:         perl-GD-2.41-Makefile.patch

# Fedora and epel have perl-GD so lets move that way.
Obsoletes:      perl-GD2 < 2.41
Provides:       perl-GD2 = %{release}-%{version}

BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  gd-devel >= 2.0.28
BuildRequires:  %{_bindir}/gdlib-config
BuildRequires:  libpng-devel, libjpeg-devel, freetype-devel
BuildRequires:  fontconfig-devel
Requires:       gd >= 2.0.28
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Perl module for GD

%prep
%setup -q -n GD-%{version}
%patch0 -p1 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%check
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc ChangeLog README
%{_bindir}/bdf2gdfont.pl
%{perl_vendorarch}/*
%exclude %dir %{perl_vendorarch}/auto/
%{_mandir}/man3/*.3*
%{_mandir}/man1/*.1*


%changelog
* Fri Mar 06 2009 Dennis Gilmore <dennis@ausil.us> 2.41-8
- EL-4  doesnt have all BR's

* Fri Mar 06 2009 Dennis Gilmore <dennis@ausil.us> 2.41-7
- update BuildRequires to match those of the EPEL package

* Fri Mar 06 2009 Dennis Gilmore <dennis@ausil.us> 2.41-6
- add patch for missing file installation 

* Sat Feb 28 2009 Dennis Gilmore 2.41-5
- add missing _

* Sat Feb 28 2009 Dennis Gilmore 2.41-4
- fix %%files list

* Sat Feb 28 2009 Dennis Gilmore <dgilmore@redhat.com> - 2.41-3
- fix docs list

* Sat Feb 28 2009 Dennis Gilmore <dgilmore@redhat.com> - 2.41-2
- fix typo

* Sat Feb 28 2009 Dennis Gilmore <dgilmore@redhat.com> - 2.41-1
- re-write spec
